SGIVOL(8)

NAME
sgivol - initialise and manipulate SGI disk volume headers

SYNOPSIS
sgivol [-q] disk
sgivol [-q] -d vhfilename disk
sgivol [-q] -i [-h vhsize] disk
sgivol [-q] -l vhfilename1 vhfilename2 disk
sgivol [-q] -r vhfilename diskfilename disk
sgivol [-q] -w vhfilename diskfilename disk

DESCRIPTION
sgivol is used to initialise and manipulate SGI disk volume headers.

The SGI volume header is a disklabel-like structure located at the start of a disk. It is typically 3135 (512-byte) blocks in size, and can store a variety of files inside it, typically boot programs.

The options are as follows:

-d vhfilename
    Delete the file vhfilename from the filesystem storage space in the volume header.

-h vhsize
    Choose an alternate volume header size, in (512-byte) disk blocks. The default is 3135 blocks.

-i  Initialise a volume header on the supplied device.

-l vhfilename1 vhfilename2
    Link the file vhfilename1 to the file vhfilename2 within the filesystem storage space in the volume header.

-q  Be quiet about various diagnostic issues.

-r vhfilename diskfilename
    Locate the file vhfilename in the storage space of the volume header, and copy it to the standard file diskfilename.

-w vhfilename diskfilename
    Copy the standard file diskfilename to the filesystem storage space in the volume header, placing it there with the name vhfilename.

disk
    The name of the disk containing the partition in which the second-stage boot program resides and the first-stage boot program is to be installed. This can either be specified in short form (e.g., ‘sd0’ or as the explicit device node, such as /dev/rsd0c).

    Note that you must be in single-user mode or have your kernel in insecure mode (see the sysctl(8) kern.securelevel variable or /etc/rc.securelevel) to enable access to the raw partition of a mounted disk.

If no special flags are supplied, sgivol will display the current volume header information.

EXAMPLES
The typical use is

    # /usr/mdec/sgivol -i sd0
    # /usr/mdec/sgivol -w boot /usr/mdec/boot sd0

SEE ALSO
disklabel(8), init(8)